Name:		python-volatility
Version:	2.3.1
Release:	3%{?dist}
Summary:	Digital artifact extraction framework

License:	GPLv2+
URL:		http://code.google.com/p/volatility/
Source0:	http://volatility.googlecode.com/files/volatility-%{version}.tar.gz

BuildArch:		noarch
BuildRequires:	python2-devel python-setuptools
Requires:       pycrypto

%description
The Volatility Framework is a completely open collection of tools, implemented
in Python under the GNU General Public License, for the extraction of digital
artifacts from volatile memory (RAM) samples. The extraction techniques are
performed completely independent of the system being investigated but offer
unprecedented visibility into the run time state of the system. The framework is
intended to introduce people to the techniques and complexities associated with
extracting digital artifacts from volatile memory samples and provide a
platform for further work into this exciting area of research. 


%prep
%setup -q -n volatility-%{version}
rm -R volatility.egg-info


%build
%{__python2} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/contrib
rm -rf $RPM_BUILD_ROOT/usr/tools
mv $RPM_BUILD_ROOT%{_bindir}/vol.py $RPM_BUILD_ROOT%{_bindir}/vol

%files
%{python2_sitelib}/*
%{_bindir}/vol

%doc AUTHORS.txt CHANGELOG.txt CREDITS.txt LEGAL.txt LICENSE.txt README.txt


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Alon Levy <alevy@redhat.com> - 2.3.1-2
- Add Requires pycrypto needed by multiple plugins

* Thu Nov 21 2013 Alon Levy <alevy@redhat.com> - 2.3.1-1
- New upstream.

* Mon Sep 16 2013 Alon Levy <alevy@redhat.com> - 2.2-3
- Fix FSF address and wrong shebang lines, rhbx#948359 comment 11

* Sat Sep 14 2013 Alon Levy <alevy@redhat.com> - 2.2-2
- Addressed review comments, rhbx#948359 comment 7

* Sat Sep 14 2013 Alon Levy <alevy@redhat.com> - 2.2-1
- Initial package (rhbz#948359)
